#   pyRCV2: Preferential vote counting
#   Copyright © 2020–2021  Lee Yingtong Li (RunasSudo)
#
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU Affero General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU Affero General Public License for more details.
#
#   You should have received a copy of the GNU Affero General Public License
#   along with this program.  If not, see <https://www.gnu.org/licenses/>.

from pyRCV2.random import SHARandom
import tests.util

def test_sharandom_py():
	random = SHARandom('foobar')
	assert random.next(10) == 0
	assert random.next(42) == 30
	assert random.next(64) == 13

def test_sharandom_js():
	ctx = tests.util.init_context()
	
	ctx.eval('let random = py.pyRCV2.random.SHARandom("foobar");')
	assert ctx.eval('random.py_next(10)') == 0
	assert ctx.eval('random.py_next(42)') == 30
	assert ctx.eval('random.py_next(64)') == 13
